commit 28061487f8813d47c15d165faac3663322811a7d
Author: Haochen Jiang <haochen.jiang@intel.com>
Date:   Tue Jul 1 08:11:55 2025

    i386: Remove AMX-TRANSPOSE from Diamond Rapids
    
    AMX-TRANSPOSE will be removed from Diamond Rapids according to ISE.
    Backported from trunk AMX-TRANSPOSE removal patch.
    
    gcc/ChangeLog:
    
            * config/i386/i386.h (PTA_DIAMONDRAPIDS): Remove AMX-TRANSPOSE.
            * doc/invoke.texi: Correct documentation.

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index e850b618b8f..64f917f78b6 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -2456,7 +2456,7 @@ constexpr wide_int_bitmask PTA_DIAMONDRAPIDS = PTA_SKYLAKE | PTA_PKU | PTA_SHA
   | PTA_AVX10_1 | PTA_AVXIFMA | PTA_AVXNECONVERT | PTA_AVXVNNIINT16
   | PTA_AVXVNNIINT8 | PTA_CMPCCXADD | PTA_SHA512 | PTA_SM3 | PTA_SM4
   | PTA_AVX10_2 | PTA_APX_F | PTA_AMX_AVX512 | PTA_AMX_FP8 | PTA_AMX_TF32
-  | PTA_AMX_TRANSPOSE | PTA_MOVRS | PTA_AMX_MOVRS | PTA_USER_MSR;
+  | PTA_MOVRS | PTA_AMX_MOVRS | PTA_USER_MSR;
 
 constexpr wide_int_bitmask PTA_BDVER1 = PTA_64BIT | PTA_MMX | PTA_SSE
   | PTA_SSE2 | PTA_SSE3 | PTA_SSE4A | PTA_CX16 | PTA_ABM | PTA_SSSE3
